List ruleboards
curl --request GET \
--url https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ruleboards": [
{
"name": "<string>",
"slug": "<string>",
"default": true,
"assigned_repos": [
"<string>"
]
}
]
}Ruleboards
List ruleboards
GET
/
api
/
agent
/
deployments
/
{deploymentId}
/
ruleboards
List ruleboards
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Query Parameters
Available options:
RULEBOARD_TYPE_UNSPECIFIED, RULEBOARD_TYPE_SAST, RULEBOARD_TYPE_SECRETS Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I